Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Namespaces
Synchronize.h File Reference
`#include <boost/thread/recursive_mutex.hpp>`
`#include "Lucene.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::Synchronize
| Utility class to support locking via a mutex. More...
class | Lucene::SyncLock
| Utility class to support scope locking. More...

## Namespaces

| Lucene

clucene.sourceforge.net